System.ServiceModel 4.0.0.0 System.ServiceModel.EndpointIdentity

A user account name (UPN) is the user name (sometimes referred to as the user logon name) and a domain name that identifies the domain in which the user account is located. This is one of the standard ways to log on to a Windows domain. The format is: someone@example.com (as for an e-mail address).

A Down-Level Logon Name can also be used for creating a .

Represents a user principal name (UPN) for an identity which is used when the binding utilizes the SSPINegotiate authentication mode.

- Constructor
  4.0.0.0

  This method calls using as the input parameter.

  Initializes a new instance of the class from a claim.

  The .
- Constructor
  4.0.0.0
  To be added.

  This method creates a claim from and then calls using that claim as the input parameter.

  Initializes a new instance of the class.